unit Unit1;

interface

uses
  Windows, Messages,  Classes, Controls, Forms, Dialogs, StdCtrls, ExtCtrls,
  ComCtrls, Menus;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    ListView1: TListView;
    Memo1: TMemo;
    ListBox1: TListBox;
    Label1: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    Button4: TButton;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation


uses fspLocalizer;

{$R *.dfm}


procedure TForm1.Button4Click(Sender: TObject);
begin
  ShowMessage(FsproLocalizer.GetCommonMessage('msgWelcome'));
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FsproLocalizer.SetLanguage('english.lng');
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  FsproLocalizer.LoadForm(self, 'Main Form');
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  FsproLocalizer.SetLanguage('english.lng');
  FsproLocalizer.LoadForm(self, 'Main Form');
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
  FsproLocalizer.SetLanguage('russian.lng');
  FsproLocalizer.LoadForm(self, 'Main Form');
end;

procedure TForm1.RadioButton3Click(Sender: TObject);
begin
  FsproLocalizer.SetLanguage('japanese.lng');
  FsproLocalizer.LoadForm(self, 'Main Form');

end;

procedure TForm1.Button3Click(Sender: TObject);
begin
   FsproLocalizer.SetLanguage('saved.lng');
   FsproLocalizer.SaveForm(self, 'Main Form');
end;

end.
